<template>
  <div class="w-full flex items-center">
    <div id="announment" class="flex items-center w-full mr-2">
      <Vue3Marquee class="ml-1 w-full text-[3vw]" scrollamount="3">
        {{ announcement }}
      </Vue3Marquee>
    </div>
    <div
      class="base-bg text-[3vw] label-text-color py-1 px-2 rounded-l-2xl rounded-r-md whitespace-nowrap"
    >
      {{ $t("announcement") }}
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "AnnouncementComponent",
  props: {
    announcement: {
      type: String,
      required: true,
    },
  },
  setup() {
    const { getAssetImage } = commonHelper;
    const hornIcon = `url(${getAssetImage(
      "assets/theme/light_flexible_1/mobile/images/mainPageASI/horn.png"
    )})`;
    return { hornIcon };
  },
});
</script>
<style lang="scss">
#announment::before {
  content: "";
  width: 4vw;
  height: 4vw;
  padding-right: 5px;
  display: block;
  background-image: v-bind("hornIcon");
  background-size: cover;
}
.label-text-color {
  color: var(--active-text-color2);
}
</style>
